function result = garp(p,q);
% GARP(p,q) returns a either 1 for Passes or 0 for Fails 
m = eye(size(p,2));
for i = 1:size(p,2);
    m(i,:)=(p(:,i)'*q(:,i)>=(p(:,i)'*q));
end;   
for k = 1:size(p,2);                              
    for i = 1:size(p,2);
        for j = 1:size(p,2);
            if m(i,j)>=m(i,k)+m(k,j);
                m(i,j)=m(i,k)+m(k,j);
            end;
        end;
    end;                                    
end;
result=1;
for i = 1:size(p,2);
    for j = 1:size(p,2);
        if m(i,j)==1; 
            if p(:,j)'*q(:,j)>p(:,j)'*q(:,i); 
                result=0; break;
            end;
        end;
    end;
    if result==0; break; end;
end;
    