clear;global q p p0 x0 omega; clc;

load x:\research\nonparametric_demand\January\saved\1in5\idq.txt;
load x:\research\nonparametric_demand\January\saved\1in5\idp.txt;    
load x:\research\nonparametric_demand\January\saved\1in5\idp0.txt; 
load x:\research\nonparametric_demand\January\saved\1in5\idx0.txt; 
load x:\research\nonparametric_demand\January\saved\1in5\idvar.txt; 
load x:\research\nonparametric_demand\January\saved\1in5\iwstart.txt; 
load x:\research\nonparametric_demand\January\saved\1in5\iwstart.txt; 
load x:\research\nonparametric_demand\January\saved\1in5\idx0.txt; 
load x:\research\nonparametric_demand\January\saved\1in5\idp.txt;   
p  = idp;
p0 = idp0; 
x0 = idx0;
wstart  = iwstart;

K = size(p,1);
N = size(idq,1)/K;   % # resamples
T = size(p,2);
res = [];

%keep = (75:99)-74;
%keep = [75:77 79 82:85 89 90 91]-74;
% keep = [75:77 79 82:86 89 90 91 [78 87 88 93:94 95 96:99]]-74;
% keep = [82:86 89 90 91 [87 88 93:94 95 96:99]]-74;
% keep = [82:91 93:94]-74; % p-value = 0.072
keep = [82:91 93:95]-74; % p-value = 0.08
% keep = [82:91 93:96]-74; % p-value = 0
% keep = [82:91 93:97]-74; % p-value = 0
% keep = [82:91 93:98]-74; % p-value = 0
% keep = [82:91 93:99]-74; % p-value = 0
keep = sort(keep);


K = size(p,1);
T = length(keep);
p     = p(:,keep);
idq   = idq(:,keep);
vkeep = (ones(K-1,1)*(keep*(K-1)))'-(ones(length(keep),1)*(0:K-2));
vkeep = sort(vkeep(:));
idvar = idvar(:,vkeep);


UpperBounds = NaN*ones(K,N);
LowerBounds = NaN*ones(K,N);
uVu         = NaN*ones(1,N);

QL=0;
seq = [1:1:N]';
for i=1:length(seq);
    n = seq(i);
    q = idq((n*K)-(K-1):n*K,:);

    variance = idvar((n*(K-1))-(K-2):n*(K-1),:);
    
    for t=1:T;
        if t==1; 
            omega = variance(:,((t*(K-1))-(K-1)+1):t*(K-1)); 
        else;
            omega = blkdiag(omega,variance(:,((t*(K-1))-(K-1)+1):t*(K-1))); 
        end;
    end;

    if n>=2;                            % Re-center 
        q = q+E; 
    end;
   

    p0 = idp0;
    if garp(p,q)==0;
        x = (x0*ones(1,T))./sum(p0*ones(1,T).*(wstart*ones(1,T)./p));
        qStart = ((wstart*ones(1,T)).*(ones(K,1)*x))./p;

        if WeightedEuclideanDistanceKminus1(qStart(:))>QL;
            lb = 0;
            Aeq = zeros(K*T,K*T);
            Beq = zeros(K*T,1);
            for t=1:T;
                Aeq(t,((t-1)*K)+1:t*K)=p0';
                Beq(t) = x0;
            end;
            options=optimset('Display','iter','Diagnostics','off','MaxFunEvals',1000,'TolCon',1e-006,'MaxIter',5);
            [x,fval,exitflag,output]=fmincon(@WeightedEuclideanDistanceKminus1,qStart(:),[],[],Aeq,Beq,lb,[],@GARPConstraint,options);
        else;
            fval = WeightedEuclideanDistanceKminus1(qStart(:));
        end;
        if n==1;
            % Keep the perturbation for the real data
            E = reshape(x,K,T)-q;
%             se = sqrt(diag(omega));
%             se = reshape(se,2,T);
%             se=[se;NaN*ones(1,T)];
%             for t=1:T;
%                 se(3,t)=sqrt((p([1 2],t)'./p(3,t))*omega([(t*(K-1))-1 t*(K-1)],[(t*(K-1))-1 t*(K-1)])*(p([1 2],t)./p(3,t)));
%             end;
% 
%             plot(75:99,E(1,:),'k',75:99,E(2,:),'r',75:99,E(3,:),'b')
%             plot(75:99,E(1,:)','k',75:99,1.96*se(1,:)'+E(1,:)','k:',75:99,-1.96*se(1,:)'+E(1,:)','k:',...
%                  75:99,E(2,:)','r',75:99,1.96*se(2,:)'+E(2,:)','r:',75:99,-1.96*se(2,:)'+E(2,:)','r:',...
%                  75:99,E(3,:)','b',75:99,1.96*se(3,:)'+E(3,:)','b:',75:99,-1.96*se(3,:)'+E(3,:)','b:');
% 
% xxx = 75:99;
% ss = 5:2:20;
%             plot(75:99,E(1,:)','k-',xxx(ss),1.96*se(1,ss)'+E(1,ss)','k.',xxx(ss),-1.96*se(1,ss)'+E(1,ss)','k.',...
%                  75:99,E(2,:)','r-.',xxx(ss),1.96*se(2,ss)'+E(2,ss)','r+',xxx(ss),-1.96*se(2,ss)'+E(2,ss)','r+',...
%                  75:99,E(3,:)','b--',xxx(ss),1.96*se(3,ss)'+E(3,ss)','bx',xxx(ss),-1.96*se(3,ss)'+E(3,ss)','bx');                 
%            
% stop;
             QL = fval;
        end;
        uVu(n)=fval;           
    else;
        uVu(n)=0;           
    end;
res = [res ;[i mean(uVu(2:i)>uVu(1))] ];
% save 'x:\research\nonparametric_demand\January\saved\1in5\subsample' res;
res(size(res,1),:)
end;
[fx1,xgrid1]=UnivariateKernel(uVu(2:length(uVu))',1.059);
plot(xgrid1,fx1);    line([uVu(1);uVu(1)],[0,max(fx1)],'LineStyle','--','color','k')
mean(uVu(2:length(uVu))>uVu(1))

