new;cls;
/********************************************************************/
#include u:\research\gauss_functions\GARPProc.prc;
load path = "u:\\research\\nonparametric_demand\\January\\saved";
save path = "u:\\research\\nonparametric_demand\\January\\saved\\replicate";
load p, norm, pnorm, xstats,zstats,beta,starty,stopy; 
clear q,qsol,q0,qatx0,qvariance;

format /rd 8,4;
zbeta = beta[.,seqa(2,2,cols(zstats))];
_fcmptol = 1e-8;
/*library co, simplex;*/
/********************************************************************
 1    BREAD   21 POTATOES   41 MENOUTER
 2  CEREALS   22 OTH_VEGS   42 WOMOUTER
 3 BISCUITS   23    FRUIT   43 KIDOUTER
 4     BEEF   24 OTH_FOOD   44 OTHCLOTH
 5     LAMB   25  CANTEEN   45 FOOTWEAR
 6     PORK   26 OTH_SNAC   46 CHEMGOOD
 7    BACON   27     BEER   47  P_SERVS
 8 POUL_OTH   28 WINESPIR   48 MAINTMOT
 9     FISH   29     CIGS   49  PET_OIL
10   BUTTER   30   OTHTOB   50  TAX_INS
11 OIL_FATS   31     COAL   51 RAILFARE
12   CHEESE   32 ELECTRIC   52 BUSFARES
13     EGGS   33      GAS   53  OTHTRAV
14 MILKFRES   34  OIL_OTH   54  AUD_VIS
15 MILKPROD   35  CONSUMA   55 REC_TOYS
16      TEA   36  PETCARE   56 BOOK_NEW
17   COFFEE   37  POSTAGE   57   GARDEN
18 SOFTDRIN   38 TELEPHON   58  TVLICEN
19 SUG_PRES   39 DOMSERVS   59 ENTERTAI
20 SWE_CHOC   40 FEES_SUB


*********************************************************************/ 

p     = pnorm;                                  /* Normalise on good 2 */
pstar = meanc(p[.,1:25]');  

/*refperiod = 85;  pstar = p[.,refperiod-74]; */

/*********************************************************/
/* This is where you can pick the reference p0,x0 budget */
/*********************************************************/

x0    = xstats[13,cols(xstats)];

/* (minc(x)|maxc(x)|meanc(x)|x[round(rows(x).*seqa(0.05,0.05,19))])
   1 min    2 max    3 mean    4 5    5 10    6     7 20    8     9 30   10    11 40   12    13 50
  14    15 60   16    17 70   18    19 80   20    21 90   22  */

good   = 1;
others = setdif(seqa(1,1,rows(p)),good,1);
seq =   seqa(0.98,0.0025,25);
seq =   seqa(0.92,0.01,11);  
/*seq = seqa(0.95,0.0025,41);*/
/*seq =   seqa(0.98,0.01,7);*/
seq = seqa(0.9,0.01,21);
seq = seqa(0.93,0.01,14);

steps  = rows(seq);

c = 1;
do until c>rows(seq);
       
    p0 = pstar;
    p0[good] = p0[good]*seq[c];
    
    gosub GetIntersection; 

    if c==1;    qout=q;         p0out = p0; var = qvariance; 
    else;       qout=qout|q;    p0out = p0out~p0; var = var|qvariance;
    endif;
    /*if c==2; gosub Getq0; endif;*/

    c = c+1;
endo;
format /rd 16,16;
outwidth(256);
output file = "u:\\research\\nonparametric_demand\\January\\saved\\replicate\\idq.txt";
output reset;
output on;
qout;
output off;

output file = "u:\\research\\nonparametric_demand\\January\\saved\\replicate\\idp.txt";
output reset;
output on;
p;
output off;

output file = "u:\\research\\nonparametric_demand\\January\\saved\\replicate\\idp0.txt";
output reset;
output on;
p0out;
output off;

output file = "u:\\research\\nonparametric_demand\\January\\saved\\replicate\\idx0.txt";
output reset;
output on;
x0;
output off;

output file = "u:\\research\\nonparametric_demand\\January\\saved\\replicate\\idvar.txt";
output reset;
output on;
var;
output off;

load wstats;
output file = "u:\\research\\nonparametric_demand\\January\\saved\\replicate\\iwstart.txt";
output reset;
output on;
meanc(wstats');
output off;

output file = "u:\\research\\nonparametric_demand\\January\\saved\\replicate\\idq0.txt";
output reset;
output on;
q0;
output off;

output file = "u:\\research\\nonparametric_demand\\January\\saved\\replicate\\g.txt";
output reset;
output on;
good;
output off;

output file = "u:\\research\\nonparametric_demand\\January\\saved\\replicate\\wstats.txt";
output reset;
output on;
wstats;
output off;
/*
output file = "u:\\research\\nonparametric_demand\\January\\saved\\replicate\\irefperiod.txt";
output reset;
output on;
refperiod;
output off;
stop;
*/

graphset;
    _pdate="";
    
    _plctrl = -1;
    _pstype = 8;
    _psym = p0out[1,.]'~p0out[3,.]'~((8~2~15~1~1).*ones(cols(p0out),1));
    _pmsgstr = "  1975 \000 1976 \000 1977 \000 1978 \000 1979 \000 1980 \000 1981 \000 1982 \000 1983 \000 1984 \000 1985 \000 1986 \000 1987 \000 1988 \000 1989 \000 1990 \000 1991 \000 1992 \000 1993 \000 1994 \000 1995 \000 1996 \000 1997 \000 1998 \000 1999";
    _pmsgctl = p[1,.]'~(-0.003+p[3,.]')~((0.1~0~1~15~1).*ones(cols(p[.,.]),1));
    xlabel("The price of food relative to nondurables");
    ylabel("The price of services relative to nondurables");
xy(p[1,.]',p[3,.]');


end;

/********************************************************************/
/********************************************************************/
/********************************************************************/
GetIntersection:
    q=zeros(rows(p),cols(p));                                                                                                                                                        
    x=zeros(cols(p),1);
    pc=zeros(cols(p),1);                                                                                                                                                                                                                                                                                                                  
    t = starty;                                                                                                                                                                
    do until t>stopy;                                                                                                                                                         
        col = t-(starty-1);                                                                                                                                                        
        clear ldat;                                                                                                                                                        
        fname = "LDAT"$+FTOS((t), "%*.*lf" ,1,0);                                                                                                                          
        loadm ldat = ^fname;                                                                                                                                               
        w      = LDAT[.,1:rows(p)];
        _w_    = LDAT[.,(rows(p)+3)+1:(rows(p)+3)+rows(p)];                                                                                                                               
        lambda = LDAT[.,cols(LDAT)];                                                                                                                                       
        lnx    = LDAT[.,rows(p)+1];                                                                                                                                             
        h      = 2*1.059*stdc(lnx)*(rows(lnx)^-0.2);                                                                                                                       
        np 	   = 100; 
		x0grid = sortc(exp(lnx),1);                                                                                                                                                         
        x0grid = x0grid[1]|x0grid[round(seqa(1/np,1/np,np-1).*rows(lnx))]|x0grid[rows(lnx)];                                                                               
        flnx   = zeros(rows(x0grid),rows(p));                                                                                                                                   
        i = 1;                                                                                                                                                             
        do until i>rows(x0grid);                                                                                                                                           
            Kh     = PDFN((ln(x0grid[i])-lnx)./(h.*lambda));                                                                                                               
            f      = Kh./(h.*lambda);                                                                                                                                      
            flnx[i,.]   = ((meanc(f.*_w_))./(meanc(f)))';                                                                                                                  
            i = i+1;                                                                                                                                                       
        ENDO;                                                                                                                                                              
        wt     = flnx+(zbeta[.,col]*2)';          
        qt     = (wt.*x0grid)./p[.,col]';

        x[col] = linterp((p0'(qt'))',x0grid,x0); 
        pc[col]= meanc(lnx.<=ln(x[col]));
                                                                                                                          
        Kh     = PDFN((ln(x[col])-lnx)./(h.*lambda));                                                                                                                      
        f      = Kh./(h.*lambda);                                                                                                                                          
        flnx   = ((meanc(f.*_w_))./(meanc(f)));                                                                                                                            
        what   = flnx+(zbeta[.,col]*2);                                                                                                                        
        
        sigma = zeros(rows(what),rows(what));
        m = 1;
        do until m > rows(what);
            n = 1;
            do until n > rows(what);
                sigma[m,n]  = meanc((f./meanc(f)).*( (w[.,m]-what[m]).*(w[.,n]-what[n]) ) );
                n = n + 1;
            endo;
            m = m + 1;
        endo;
        sigma   =  (sigma+sigma')/2; 
        wvariance = (sigma*0.282094792)./(rows(f)*h*meanc(f));
        wvariance = (wvariance+wvariance')/2;
        if t==starty;
            /*qvariance = ((x[col]./p[.,col])*~eye(rows(p)))*wvariance*((x[col]./p[.,col])*~eye(rows(p)))';*/
            qvariance = ((x[col]./p[1:(rows(p)-1),col])*~eye(rows(p)-1))*wvariance[1:(rows(p)-1),1:(rows(p)-1)]*((x[col]./p[1:(rows(p)-1),col])*~eye(rows(p)-1))';
            
        else;
            /*qvariance = qvariance~(((x[col]./p[.,col])*~eye(rows(p)))*wvariance*((x[col]./p[.,col])*~eye(rows(p)))');    */
            qvariance = qvariance~((x[col]./p[1:(rows(p)-1),col])*~eye(rows(p)-1))*wvariance[1:(rows(p)-1),1:(rows(p)-1)]*((x[col]./p[1:(rows(p)-1),col])*~eye(rows(p)-1))';
        endif;
        q_     = what.*x[col]./p[.,col];                                                                                                                                      
        q_[rows(q_)]=q_[rows(q_)]-((p0'q_-x0)./p0[rows(q_)]);
        q[.,col]=q_;


        t = t + 1;                                                                                                                                                         
    ENDO;                                                                                                                                                                  
    

	
Return;
/********************************************************************/
/********************************************************************/
/********************************************************************/
/*
Getq0:
	fname = "LDAT"$+FTOS((refperiod), "%*.*lf" ,1,0);
    loadm ldat = ^fname;
    _w_    = LDAT[.,(rows(p)+3)+1:(rows(p)+3)+rows(p)];
    lambda = LDAT[.,cols(LDAT)];
    lnx    = LDAT[.,rows(p)+1];
    h      = 2*1.059*stdc(lnx)*(rows(lnx)^-0.2);
    Kh     = PDFN((ln(x0)-lnx)./(h.*lambda));
    f      = Kh./(h.*lambda);
    flnx   = ((meanc(f.*_w_))./(meanc(f)))';
    w0     = vec(flnx+(zbeta[.,refperiod-starty+1]*2)');
    q0     = (w0.*x0)./pstar;
return;


*/