
new; format /rd;   y = csrtype(0); format 4,0; library pgraph; cls;
#include x:\\research\\gauss_functions\\garpproc.prc;
_pset = "x:\\research\\nonparametric_demand\\data";
load path = ^_pset; 
_pset = "x:\\research\\nonparametric_demand\\January\\saved";
save path = ^_pset;

starty = 75;
stopy  = 99;
npoints = 49;
t = starty;
DO UNTIL t>stopy;
    dat1 = "x:\\research\\nonparametric_demand\\data\\data"$+FTOS((t), "%*.*lf" ,1,0);
    OPEN f1 = ^dat1 VARINDXI;
    data = READR(f1,rowsf(f1));
    names = GETNAME(dat1);
    
    locate 1,1;"Estimating using ";;dat1;
    week = data[.,iweek];
    cars = data[.,incars].>0;
    smoker = (data[.,icigs]+data[.,iothtob]).>0;
    sel    = (data[.,icouple] .and data[.,inumhhkid].>0 .and cars.==1);
    data   = SELIF(data,sel);
    data   = SELIF(data,data[.,itotexp].>0);
    data   = SELIF(data,data[.,ihhincome].>0);

    x = data[.,ibread:iothtob]~data[.,irent:idiy]~
        data[.,icoal:ientertai];

    wnames=names[ibread:iothtob irent:idiy icoal:ientertai];
    /**********
    01    BREAD     21 POTATOES     41  FURNISH     61 RAILFARE
    02  CEREALS     22 OTH_VEGS     42 ELEC_APP     62 BUSFARES
    03 BISCUITS     23    FRUIT     43  OTHHHEQ     63  OTHTRAV
    04     BEEF     24 OTH_FOOD     44  CONSUMA     64  AUD_VIS
    05     LAMB     25  CANTEEN     45  PETCARE     65 REC_TOYS
    06     PORK     26 OTH_SNAC     46  POSTAGE     66 BOOK_NEW
    07    BACON     27     BEER     47 TELEPHON     67   GARDEN
    08 POUL_OTH     28 WINESPIR     48 DOMSERVS     68  TVLICEN
    09     FISH     29     CIGS     49 FEES_SUB     69 ENTERTAI
    10   BUTTER     30   OTHTOB     50 MENOUTER     
    11 OIL_FATS     31     RENT     51 WOMOUTER
    12   CHEESE     32 MORTGAGE     52 KIDOUTER
    13     EGGS     33 RATESETC     53 OTHCLOTH
    14 MILKFRES     34   REPAIR     54 FOOTWEAR
    15 MILKPROD     35      DIY     55 CHEMGOOD
    16      TEA     36     COAL     56  P_SERVS
    17   COFFEE     37 ELECTRIC     57 MOTORVEH
    18 SOFTDRIN     38      GAS     58 MAINTMOT
    19 SUG_PRES     39  OIL_OTH     59  PET_OIL
    20 SWE_CHOC     40   FURNIT     60  TAX_INS     ***********/
 
    
    nondurables = seqa(1,1,30)|36|37|38|39|seqa(44,1,13)|seqa(58,1,12);

    g1 = seqa(1,1,24);                          /* Food in */
    g2 = seqa(25,1,2);                          /* Food out */
    g3 = seqa(27,1,4);                          /* Booze n Fags */
    g4 = 44|45|seqa(50,1,6)|seqa(64,1,4);       /* nondurable goods */
    g5 = seqa(36,1,4)|seqa(46,1,4)|56|68|69;    /* services */
    g6 = seqa(58,1,3)|seqa(61,1,3);             /* travel   */


    g1 = sortc(g1|g2,1);                /* Food */
    g2 = sortc(g3|g4,1);                /* Goods */
    g3 = sortc(g5|g6,1);                /* Services */ 
   
    x    = x.*(x.>=0);                  /* Budget shares */
    ws   = sumc(x[.,nondurables]');     /* Sum of budget shares */
    z    = data[.,inumhhkid];
    totx = data[.,itotexp].*ws;
    inc  = data[.,ihhincome];
    
    scale   = 1+(0.29*z);
    totx    = totx./scale;
    inc     = inc./scale;        
    
    xx   = sortc(totx,1); yy   = sortc(inc,1);
    
    sel  = (totx.>0) .and (inc.>0) .and
        /* (totx.>=xx[round(0.01.*rows(xx))]) .AND*/
           (totx.<=xx[round(0.99.*rows(xx))]) .and 
        /* (inc.>=yy[round(0.01.*rows(yy))]) .AND*/
           (inc.<=yy[round(0.99.*rows(yy))]);

    x       = selif(x,sel);     /* Budget shares */
    y       = selif(inc,sel);  /* Eq income */       
    ws      = selif(ws,sel);    /* percent budget on nondurables*/
    totx    = selif(totx,sel);   /* tox on nodura */
    z       = selif(z,sel);      /* num kids */    
    w       = x./ws;            /* Rescale budget shares */
    
    
    wg = sumc(w[.,g1]')~sumc(w[.,g2]')~sumc(w[.,g3]');/*~
         sumc(w[.,g4]')~sumc(w[.,g5]')~sumc(w[.,g6]');*/
         
    
    wg = wg[.,1:cols(wg)-1]~(wg[.,cols(wg)]+(1-sumc(wg')));
    wg = wg[.,1:cols(wg)-1]~(wg[.,cols(wg)]+(1-sumc(wg')));
    
    load pall;
    if t==starty;
        /*p=pall[nondurables,t-74];*/
    
        p = sumc(pall[g1,t-74].*((meanc(w[.,g1])./sumc(meanc(w[.,g1])))))|
            sumc(pall[g2,t-74].*((meanc(w[.,g2])./sumc(meanc(w[.,g2])))))|
            sumc(pall[g3,t-74].*((meanc(w[.,g3])./sumc(meanc(w[.,g3])))));/*|
            sumc(pall[g4,t-74].*((meanc(w[.,g4])./sumc(meanc(w[.,g4])))))|
            sumc(pall[g5,t-74].*((meanc(w[.,g5])./sumc(meanc(w[.,g5])))))|
            sumc(pall[g6,t-74].*((meanc(w[.,g6])./sumc(meanc(w[.,g6]))))); */
          
    else;
        /*p=p~pall[nondurables,t-74];*/
    
        p = p~(sumc(pall[g1,t-74].*((meanc(w[.,g1])./sumc(meanc(w[.,g1])))))|
               sumc(pall[g2,t-74].*((meanc(w[.,g2])./sumc(meanc(w[.,g2])))))|
               sumc(pall[g3,t-74].*((meanc(w[.,g3])./sumc(meanc(w[.,g3]))))));/*|
               sumc(pall[g4,t-74].*((meanc(w[.,g4])./sumc(meanc(w[.,g4])))))|
               sumc(pall[g5,t-74].*((meanc(w[.,g5])./sumc(meanc(w[.,g5])))))|
               sumc(pall[g6,t-74].*((meanc(w[.,g6])./sumc(meanc(w[.,g6]))))));  */              
        
    endif;
    f1 = close(f1);
    t = t + 1;
endo;
cls;

p = p./100;
pnorm = p./p[2,.];
norm = p[2,.];

/*pnorm = pnorm./meanc(pnorm');
norm = p./p[2,.];
norm = meanc(norm');
norm = p[2,.].*norm;
pnorm = p./norm;*/

graphset;
    _pdate="";
    /*xtics(0.85,1.15,0.01,0);
    ytics(0.8,1.2,0.02,0);*/
    _plctrl = -1;
    _pstype = 8;
    _psym = pnorm[1,.]'~pnorm[3,.]'~((8~2~15~1~1).*ones(cols(pnorm),1));
    _pmsgstr = "  1975 \000 1976 \000 1977 \000 1978 \000 1979 \000 1980 \000 1981 \000 1982 \000 1983 \000 1984 \000 1985 \000 1986 \000 1987 \000 1988 \000 1989 \000 1990 \000 1991 \000 1992 \000 1993 \000 1994 \000 1995 \000 1996 \000 1997 \000 1998 \000 1999";
    _pmsgctl = pnorm[1,.]'~(-0.003+pnorm[3,.]')~((0.1~0~1~15~1).*ones(cols(pnorm[.,.]),1));
    xlabel("The price of food relative to nondurables");
    ylabel("The price of services relative to nondurables");
xy(pnorm[1,.]',pnorm[3,.]');
save p, pnorm, norm;
end;